<?php

/**
 * Plugin Configuration Constants
 */
defined( 'ABSPATH' ) || exit;
// Plugin Information
define( 'PageVICO_VERSION', '3.1.0' );
define( 'PageVICO_PLUGIN_FILE', dirname( __DIR__ ) . '/page-visit-counter-analytics.php' );
define( 'PageVICO_PLUGIN_DIR', plugin_dir_path( PageVICO_PLUGIN_FILE ) );
define( 'PageVICO_PLUGIN_URL', plugin_dir_url( PageVICO_PLUGIN_FILE ) );
// Geo Database Configuration
define( 'PageVICO_GEO_DB_URL', 'https://pagevisitcounter.com/downloads/pvca-geo-db.mmdb' );
$upload_dir = wp_upload_dir();
define( 'PageVICO_GEO_DB_DIR', $upload_dir['basedir'] . '/page-visit-counter-analytics/' );
define( 'PageVICO_GEO_DB_PATH', PageVICO_GEO_DB_DIR . 'pvca-geo-db.mmdb' );
// Database Tables
define( 'PageVICO_TABLE_SESSIONS', $GLOBALS['wpdb']->prefix . 'pagevico_sessions' );
define( 'PageVICO_TABLE_PAGEVIEWS', $GLOBALS['wpdb']->prefix . 'pagevico_pageviews' );